Create Data Source

Create Data Source
Create a new data source.

This method allows you to create a new data source.

Request
URI
POST
https://{api_host}/api/v1/control/data-sources
COPY
Request Body
{
    "verify_tls": "string",
    "origin_url": "string",
    "name": "string",
    "description": "string",
    "type": "string",
    "options": {
        "page_ids": [
            "string"
        ],
        "space_key": "string",
        "batch_size": 0,
        "limit": 0
    },
    "credentials": {
        "credentials_type": "string",
        "username": "string",
        "password": "string"
    }
}
Authentication
This operation uses the following authentication methods.
Responses
201

Successful Response

Returns DataSource of type(s) application/json
{
    "id": "string",
    "verify_tls": "string",
    "origin_url": "string",
    "name": "string",
    "description": "string",
    "type": "string",
    "object": "string",
    "created_at": 0,
    "last_updated_at": 0,
    "options": {
        "bucket": "string",
        "prefix": "string",
        "service_name": "string",
        "api_version": "string",
        "num_results": 0
    }
}
string As uuid As uuid
id
Required  

id

string
verify_tls
Optional
Constraints: default: VERIFY_FULL

TLS verification mode used when connecting to the data source.

Enumeration: VERIFY_FULL, DISABLE
string As uri As uri
origin_url
Required  
Constraints: minLength: 1

URL of the source of data that can be accessed via this data source.

string
name
Optional

Name of the data source.

string
description
Optional

Description of the data source.

string
type
Required  

Type of the Data Source.

Enumeration: GOOGLE_DRIVE, CONFLUENCE, S3, SHAREPOINT
string
object
Optional
Constraints: default: data_source

Object type, which is always data_source.

integer
created_at
Required  

Unix timestamp (in seconds) when the data source was created.

integer
last_updated_at
Required  

Unix timestamp (in seconds) when the data source was last updated.

options
Optional

Options used when interacting with the data source.


422

Validation Error

Returns HTTPValidationError of type(s) application/json
{
    "detail": [
        {
            "loc": [
                {}
            ],
            "msg": "string",
            "type": "string",
            "ctx": {}
        }
    ]
}
array of object
detail
Optional

detail


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/api/v1/control/data-sources